<?php

declare(strict_types=1);

namespace App\Application\Security\Events\Access;

use App\Application\Security\SecurityEvent;
use App\Application\Security\SecurityEventType;

final class CsrfViolation implements SecurityEvent
{
    public function __construct(
        public readonly string $requestPath,
        public readonly string $method,
    ) {
    }

    public SecurityEventType $type {
        get {
            return SecurityEventType::CSRF_VIOLATION;
        }
    }
}
